Overview
POST
/ecosystem/namespacesregistryCreate a namespace + mint its rdid (site-admin)
Create a record in namespaces.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ownerKind"customer" | "organization" | "persona" | "ecosystem"
- ownerIdstring
- rdidstring
Reverse-domain prefix
- slugoptionalstring
- nameoptionalstring
Example
{
"ownerKind": "customer",
"ownerId": "string",
"rdid": "string",
"slug": "string",
"name": "string"
}Responses
201
namespace
- idstring
- ownerKind"customer" | "organization" | "persona" | "ecosystem"
- ownerIdstring
- slugstring?
- namestring?
- rdidstring?
The namespace reverse-domain prefix
Example
{
"id": "string",
"ownerKind": "customer",
"ownerId": "string",
"slug": "string",
"name": "string",
"rdid": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/namespaces" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ownerKind": "customer",
"ownerId": "string",
"rdid": "string",
"slug": "string",
"name": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/namespaces", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ownerKind\": \"customer\",\n \"ownerId\": \"string\",\n \"rdid\": \"string\",\n \"slug\": \"string\",\n \"name\": \"string\"\n}",
});
const data = await res.json();